aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-html-tagset/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-06-02 10:59:33 +0300
committerTimo Teräs <timo.teras@iki.fi>2011-06-02 11:48:25 +0300
commitc7da55c5abaecfae2f0bd428869058ba842a76a7 (patch)
treee55c3e6755043197788b4a93b0ba438a909242b7 /testing/perl-html-tagset/APKBUILD
parente02d5981ac439e1526cf5685f19ed5640116681b (diff)
downloadaports-c7da55c5abaecfae2f0bd428869058ba842a76a7.tar.gz
aports-c7da55c5abaecfae2f0bd428869058ba842a76a7.tar.bz2
aports-c7da55c5abaecfae2f0bd428869058ba842a76a7.tar.xz
testing/perl-html-tagset: new apkbuild-cpan generated aport
data tables useful in parsing HTML http://search.cpan.org/dist/HTML-Tagset/
Diffstat (limited to 'testing/perl-html-tagset/APKBUILD')
-rw-r--r--testing/perl-html-tagset/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-html-tagset/APKBUILD b/testing/perl-html-tagset/APKBUILD
new file mode 100644
index 0000000000..7ae5ccab4b
--- /dev/null
+++ b/testing/perl-html-tagset/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-html-tagset
+_pkgreal=HTML-Tagset
+pkgver=3.20
+pkgrel=0
+pkgdesc="data tables useful in parsing HTML"
+url="http://search.cpan.org/dist/HTML-Tagset/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="d2bfa18fe1904df7f683e96611e87437 HTML-Tagset-3.20.tar.gz"